Update an event for a lead
PUT
https://api.propexo.com/v1/events/leads/:event_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
event_id stringrequired
The Propexo unique identifier for the event
Request
This endpoint expects an object.
event_datetimestring<date-time>
The date when the event will occur
event_type_idstring
The Propexo unique identifier for the event type
employee_idstring
The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT
statusstring
The raw status associated with the event
Show 4 enum values
COMPLETEDOPENREVIEWDENIEDnotesstring
Notes associated with the event
Response
Successful response
job_idstringrequired
The ID of the job created to handle this operation
data objectrequired
object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/events/leads/:event_id
- cURL
- Node.js
- Python
curl -X PUT https://api.propexo.com/v1/events/leads/:event_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"event_datetime": "2024-07-29T15:51:28.071Z",
"event_type_id": "string",
"employee_id": "string",
"status": "COMPLETED",
"notes": "string"
}'
const response = await fetch("https://api.propexo.com/v1/events/leads/:event_id", {
method: "PUT",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"event_datetime": "2024-07-29T15:51:28.071Z",
"event_type_id": "string",
"employee_id": "string",
"status": "COMPLETED",
"notes": "string"
}),
});
const data = await response.json();
import requests
response = requests.put(
"https://api.propexo.com/v1/events/leads/:event_id",
headers={"Authorization": "Bearer <token>"},
json={
"event_datetime": "2024-07-29T15:51:28.071Z",
"event_type_id": "string",
"employee_id": "string",
"status": "COMPLETED",
"notes": "string"
},
)
data = response.json()
200 Successful response
{
"job_id": "string",
"data": {}
}